Create permission groups in batches
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.
Create permission groups in batches, and you can set the permission group name, code, and description information separately.
Method name
ManagementClient.createNamespacesBatch
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| list | <a CreateNamespacesBatchItemDto[] | Yes | - | Permission group list Array length limit: 50. |
Sample code
ts
import { ManagementClient, Models } from "authing-node-sdk";
// Initialize ManagementClient
const managementClient = new ManagementClient({
// Need to be replaced with your GenAuth Access Key ID
accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
// Need to be replaced with your GenAuth Access Key Secret
accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
// If it is a private deployment customer, you need to set the GenAuth service domain name
// host: 'https://api.your-authing-service.com'
});
(async () => {
const result = await managementClient.createNamespacesBatch({
list: [
{
code: "my-namespace",
name: "My permission group",
description: "My permission group description",
},
],
});
console.log(JSON.stringify(result, null, 2));
})();Request response
Type: IsSuccessRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a IsSuccessDto | Whether the operation is successful |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"success": true
}
}Data structure
CreateNamespacesBatchItemDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| code | string | yes | permission group unique identifier | my-namespace |
| name | string | no | permission group name | my permission group |
| description | string | no | permission group description | my permission group description |
IsSuccessDto
| name | type | Is it required | description | Example value |
|---|---|---|---|---|
| success | boolean | yes | Whether the operation was successful | true |